# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2017-11-27 16:47
from __future__ import unicode_literals

import budget.models.project
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Board',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
                ('slug', models.SlugField(blank=True, editable=False, max_length=255, unique=True)),
                ('position', models.PositiveSmallIntegerField(default=0, help_text='Board sort order')),
                ('icon', models.CharField(blank=True, help_text='Add a fontawesome class to add icon and promote board on homepage.', max_length=100, null=True)),
                ('description', models.CharField(blank=True, max_length=250, null=True)),
                ('slack_channel', models.CharField(blank=True, help_text='A channel to notify with activity, e.g., #my-channel.', max_length=250, null=True)),
            ],
            options={
                'ordering': ['position'],
            },
        ),
        migrations.CreateModel(
            name='Column',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
                ('slug', models.SlugField(blank=True, editable=False, max_length=255, unique=True)),
                ('position', models.PositiveSmallIntegerField(default=0, help_text='Left to right position of status column')),
                ('board', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='columns', to='budget.Board')),
            ],
            options={
                'ordering': ['board', 'position'],
            },
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
                ('slug', models.SlugField(blank=True, editable=False, max_length=255, unique=True)),
                ('description', models.TextField(help_text='Short description of the project (250 characters).', max_length=250)),
                ('run_date', models.DateTimeField(blank=True, help_text='Estimated.', null=True)),
                ('preview_url', models.URLField(blank=True, null=True)),
                ('publish_url', models.URLField(blank=True, null=True)),
                ('github', models.URLField(blank=True, help_text='HTML url for repository', null=True, unique=True)),
                ('gdoc', models.URLField(blank=True, null=True)),
                ('notes', models.TextField(blank=True, null=True)),
                ('position', models.PositiveSmallIntegerField(default=0, help_text='Top to bottom sort order of projects in a column')),
                ('archive', models.BooleanField(default=False, help_text='Removes project from all boards')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='project_authors', to=settings.AUTH_USER_MODEL)),
                ('developers', models.ManyToManyField(blank=True, related_name='developers', to=settings.AUTH_USER_MODEL)),
                ('editors', models.ManyToManyField(blank=True, related_name='editors', to=settings.AUTH_USER_MODEL)),
                ('reporters', models.ManyToManyField(blank=True, related_name='reporters', to=settings.AUTH_USER_MODEL)),
                ('status', models.ForeignKey(default=budget.models.project.Project.get_default_column, on_delete=django.db.models.deletion.PROTECT, related_name='projects', to='budget.Column')),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(blank=True, editable=False, max_length=255, unique=True)),
                ('name', models.CharField(max_length=250, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Todo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=250)),
                ('github_url', models.URLField(blank=True, editable=False, null=True, unique=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='todos', to='budget.Project')),
            ],
        ),
        migrations.CreateModel(
            name='Type',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
                ('slug', models.SlugField(blank=True, editable=False, max_length=255, unique=True)),
                ('color', models.CharField(max_length=7, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='project',
            name='tags',
            field=models.ManyToManyField(blank=True, related_name='tags', to='budget.Tag'),
        ),
        migrations.AddField(
            model_name='project',
            name='type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='budget.Type'),
        ),
    ]
